﻿@model Teste2.Models.Contacto

@{
    ViewData["Title"] = "Alterar";
}

<h1>Alterar</h1>

<h4>Contacto</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Alterar">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Email" />
            <div class="form-group">
                <label asp-for="NicKname" class="control-label"></label>
                <input asp-for="NicKname" class="form-control" />
                <span asp-validation-for="NicKname" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Nome" class="control-label"></label>
                <input asp-for="Nome" class="form-control" />
                <span asp-validation-for="Nome" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="Amigo" /> @Html.DisplayNameFor(model => model.Amigo)
                </label>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Lista">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
